﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace App13
{
   public class MyViewmodel: INotifyPropertyChanged
    {

        public event PropertyChangedEventHandler PropertyChanged;

        string name;
        public string ImageUrl
        {
            set
            {
                if (name != value)
                {
                    name = value;
                    OnPropertyChanged("ImageUrl");

                }
            }
            get
            {
                return name;
            }
        }

        public MyViewmodel()
        {
            name = "http://timesofindia.indiatimes.com/thumb/msid-69902898,imgsize-115506,width-800,height-600,resizemode-4/69902898.jpg";
        }
        protected virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
